### Class

# FwupdPlugin ElfFirmware

#### Description [src]

    class FwupdPlugin.ElfFirmware : FwupdPlugin.Firmware
    {
      /* No available fields */
    }

Executable and Linkable Format is a common standard file format for executable files, object code, shared libraries, core dumps — and sometimes firmware.

Documented: https://en.wikipedia.org/wiki/Executable_and_Linkable_Format.

#### Hierarchy

#### Ancestors

- FuFirmware
- GObject

#### Constructors

###### fu_elf_firmware_new

Creates a new `FuElfFirmware`.

since: 1.9.3

#### Instance methods

##### Methods inherited from FuFirmware (67)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginElfFirmwareClass {
      FuFirmwareClass parent_class;

    }

No description available.

###### Class members

`parent_class: FuFirmwareClass`

  No description available.